import React from "react";

import { Image } from "../../components/Image";
import { MiniTechTalkCard } from "../../components/MiniTechTalkCard";
import { metadata as tempTechTalkMetadata } from "../../content/playground/temp.talk.mdx";

import styles from "./tech-talks.module.css";

export default function TechTalks() {
  return (
    <>
      <div className={styles.headerContainer}>
        <section className={styles.header}>
          <h1>Tech Talks</h1>
          <p className={styles.headerContent}>
            These are the audio and video recordings of past CSC and other
            university-related talks. Our public events can also be found on our
            YouTube channel.
          </p>
        </section>
        <Image src="images/tech-talks.svg" className={styles.image} />
      </div>
      <div className={styles.miniCards}>
        <MiniTechTalkCard
          {...tempTechTalkMetadata}
          poster={tempTechTalkMetadata.thumbnails.small}
        />
        <MiniTechTalkCard
          {...tempTechTalkMetadata}
          poster={tempTechTalkMetadata.thumbnails.small}
        />
        <MiniTechTalkCard
          {...tempTechTalkMetadata}
          poster={tempTechTalkMetadata.thumbnails.small}
        />
      </div>
    </>
  );
}
